Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class MdxOlapModel

    java.lang.Object
      com.tonbeller.jpivot.core.ModelSupport
          com.tonbeller.jpivot.olap.query.MdxOlapModel

All Implemented Interfaces:
  Model, com.tonbeller.wcf.bookmarks.Bookmarkable

Direct Known Subclasses:
  MondrianModel, XMLA_Model

    public abstract class MdxOlapModel

extends ModelSupport

Olap Model based on MDX

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`MdxOlapModel()`

Method Summary
`protected void` | `beanFromQuax(QuaxBean quaxBean, Quax quax)` populate quax bean from quax
`protected abstract ExpBean` | `createBeanFromExp(java.lang.Object exp)`
`protected abstract java.lang.Object` | `createExpFromBean(ExpBean expBean)`
`abstract java.lang.String` | `getCurrentMdx()`
`abstract Member` | `lookupMemberByUName(java.lang.String uniqueName)`
`protected void` | `quaxesFromBeans(Quax[] quaxes, QuaxBean[] quaxBeans)` restore quaxes from QuaxBeans
`protected void` | `restoreSort(SortRankBase sortExt, Memento memento)` restore sort settings from memento
`protected void` | `storeSort(SortRankBase sortExt, Memento memento)` store sort parameters to memento

Methods inherited from class com.tonbeller.jpivot.core.ModelSupport
`addExtension, addModelChangeListener, destroy, fireModelChanged, fireModelChanged, fireStructureChanged, fireStructureChanged, getBookmarkState, getExtension, getExtensions, getLocale, getRootModel, getTopDecorator, removeModelChangeListener, setBookmarkState, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MdxOlapModel

    public MdxOlapModel()

Method Detail

### getCurrentMdx

    public abstract java.lang.String getCurrentMdx()

  Returns:
    the current MDX statement

### quaxesFromBeans

    protected void quaxesFromBeans(Quax[] quaxes,
                                   QuaxBean[] quaxBeans)
                            throws OlapException

  restore quaxes from QuaxBeans

  Parameters:
    `quaxes` -
    `quaxBeans` -
  Throws:
    `OlapException`

### restoreSort

    protected void restoreSort(SortRankBase sortExt,
                               Memento memento)

  restore sort settings from memento

  Parameters:
    `sortExt` -
    `memento` -

### beanFromQuax

    protected void beanFromQuax(QuaxBean quaxBean,
                                Quax quax)
                         throws OlapException

  populate quax bean from quax

  Parameters:
    `quaxBean` -
    `quax` -
    `createExpBean` - - static method to be called
  Throws:
    `OlapException`

### storeSort

    protected void storeSort(SortRankBase sortExt,
                             Memento memento)

  store sort parameters to memento

  Parameters:
    `sortExt` -
    `memento` -

### createExpFromBean

    protected abstract java.lang.Object createExpFromBean(ExpBean expBean)
                                                   throws OlapException

  Throws:
    `OlapException`

### createBeanFromExp

    protected abstract ExpBean createBeanFromExp(java.lang.Object exp)
                                          throws OlapException

  Throws:
    `OlapException`

### lookupMemberByUName

    public abstract Member lookupMemberByUName(java.lang.String uniqueName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD